Skip to main content
GET
/
v1
/
rcs
/
messages
/
{id}
Consultar status de um RCS
curl --request GET \
  --url https://api.notifique.dev/v1/rcs/messages/{id} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "rcsId": "<string>",
    "to": "<string>",
    "messageType": "BASIC",
    "payload": {},
    "refer": "<string>",
    "status": "SCHEDULED",
    "externalId": "<string>",
    "errorMessage": "<string>",
    "scheduledFor": "2023-11-07T05:31:56Z",
    "sentAt": "2023-11-07T05:31:56Z",
    "deliveredAt": "2023-11-07T05:31:56Z",
    "failedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API Key no header Authorization. Exemplo: Authorization: Bearer sk_live_xxxxx

Path Parameters

id
string
required

ID (cuid) do RCS retornado em POST /v1/rcs/messages.

Response

Dados do RCS.

success
boolean
required
Example:

true

data
object
required